Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 790665 - sys-devel/llvm-roc-4.0.0-r2 benchmark_register.h:17:30: error: ‘numeric_limits’ is not a member of ‘std’
Summary: sys-devel/llvm-roc-4.0.0-r2 benchmark_register.h:17:30: error: ‘numeric_limit...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Craig Andrews
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-11
  Show dependency tree
 
Reported: 2021-05-17 08:53 UTC by Alessandro Barbieri
Modified: 2021-08-05 01:05 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge_info (emerge_info,42.07 KB, text/plain)
2021-05-17 08:54 UTC, Alessandro Barbieri
Details
llvm-roc-4.0.0-r2:20210517-075840.log.xz (llvm-roc-4.0.0-r2:20210517-075840.log.xz,147.92 KB, application/x-xz)
2021-05-17 08:54 UTC, Alessandro Barbieri
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alessandro Barbieri 2021-05-17 08:53:58 UTC
This package fails to compile on an unstable system. Attached relevant logs and emerge --info
Comment 1 Alessandro Barbieri 2021-05-17 08:54:12 UTC
Created attachment 709362 [details]
emerge_info

emerge --info
Comment 2 Alessandro Barbieri 2021-05-17 08:54:15 UTC
Created attachment 709365 [details]
llvm-roc-4.0.0-r2:20210517-075840.log.xz

build log (compressed because it exceeds attachment limit, use 'xzless' to read it)
Comment 3 Sam James archtester gentoo-dev Security 2021-08-01 21:29:14 UTC
ping
Comment 4 Craig Andrews gentoo-dev 2021-08-01 21:42:24 UTC
(In reply to Sam James from comment #3)
> ping

PRs welcome... I'm not experiencing this issue nor do I know how to fix it. :-/
Comment 5 Jack 2021-08-01 22:11:35 UTC
From distant memory, I thin it just takes a one line addition to the .h file, but I'll have to dig into some older bugs to find the specifics.
Comment 6 Jack 2021-08-01 22:14:23 UTC
It looks like you just need to add

+#include <limits>

to the complaining .h file.  (the + is because I pulled the line from a patch file for a different package with the same issue.)
Comment 7 Craig Andrews gentoo-dev 2021-08-02 00:33:39 UTC
(In reply to Jack from comment #6)
> It looks like you just need to add
> 
> +#include <limits>
> 
> to the complaining .h file.  (the + is because I pulled the line from a
> patch file for a different package with the same issue.)

Could I trouble you to please submit a pull request?
Comment 8 Jack 2021-08-02 01:25:32 UTC
I kind of thought I was being dense.  You already have files/llvm-roc-4.1.0-fix-missing-include.patch, so it looks like it's already been fixed.  That patch is applied in 4.1.0 and 4.1.1, and I'm guessing it's fixed upstream in 4.2.0 (which is what I have installed) which doesn't apply that patch.
Comment 9 Sam James archtester gentoo-dev Security 2021-08-05 01:05:29 UTC
(In reply to Craig Andrews from comment #4)
> (In reply to Sam James from comment #3)
> > ping
> 
> PRs welcome... I'm not experiencing this issue nor do I know how to fix it.
> :-/

Sure, no problem at all! But it looks like everything is good now.

(Are you using GCC 11 btw?)